<style>
    .text-center{

        text-align: center;
    }

    table {
        background-color: rgba(65, 157, 120, 0.2);
        border-collapse:collapse;
        color: white;
        font-size:10px;
    }
    table th { 
        background-color: #419D78;
        color:white;
        width:9%; 
    }
    table td, th { 
        padding:5px;
        border:0; 
    }
    table td { 
        background : white !important;
        color: black;
    }

</style>

<?php

    $array_report = get_option('array_report');
    $date_from= $array_report['date_from'];
    $date_to= $array_report['date_to'];

?>
<html>

    <body>
    <h2 class="text-center">Reportes de documentos electrónicos</h2>

        <br><br>
        <div class="text-center">
            <label>Desde: <?php echo date('Y-m-d H:i:s',$date_from); ?></label>
            <label>Hasta: <?php echo date('Y-m-d H:i:s', $date_to); ?></label>
        </div>
        <br>
        <br>
        <table id="table-invoices">
            <tr>
                <th>Numero de orden</th>
                <th>Consecutivo</th>
                <th>Estado de hacienda</th>
                <th>Tipo de comprobante</th>
                <th>Fecha</th>
                <th>Total</th>
                <th>Total impuesto</th>
                <th>XML FIRMADO</th>
                <th>XML ACUSE</th>
            </tr>
            <?php $contador = 1; $total_ventas = 0; $total_impuestos = 0; $tipo_comprobante = "";?>
            <?php foreach ($array_report['respuesta'] as $key => $invoices) { ?>
                <tr>
                    <td> 
                      <?php if($invoices['order'] == "N/A"){ 
                        echo $invoices['order'];
                      }else{ ?>
                        <a href="<?php echo $invoices['order_id'] ?>" target="_blank"><?php echo $invoices['order'] ?></a>
                      <?php } ?>
                    </td>
                    <td><?php echo $invoices['consecutivo'] ?> </td>
                    <td><?php echo ($invoices['estado_hacienda'] ? $invoices['estado_hacienda'] : 'estado pendiente') ?></td>
                    <td>
                        <?php if($invoices['tipo_comprobante'] == "01") { ?>
                            Factura Electrónica
                        <?php } ?>
                        <?php if($invoices['tipo_comprobante'] == "03") { ?>
                            Nota de crédito
                        <?php } ?>  
                        <?php if($invoices['tipo_comprobante'] == "04") { ?>
                            Tiquete Electrónico.
                        <?php } ?>
                        <?php if($invoices['tipo_comprobante'] == "09") { ?>
                            Factura de exportación
                        <?php } ?>
                    </td>
                    <td><?php echo date("Y-m-d H:i:s", $invoices['timestamp']) ?></td>
                    <td><?php echo  $invoices['total_venta'] ?></td>
                    <td><?php echo $invoices['total_impuesto'] ?></td>
                    <td>
                        <a href="<?php echo $invoices['xml_firmado'] ?>" target="_blank" download>Descargar</a>
                    </td>
                    <td>
                        <a href="<?php echo $invoices['xml_acuse'] ?>" target="_blank" >Descargar</a>
                    </td>

                </tr>
                <?php 
                    $contador++;
                    $total_ventas = $total_ventas + $invoices['total_venta'];
                    $total_impuestos = $total_impuestos + $invoices['total_impuesto'];

                ?>

            <?php } ?>
        </table>
        <br>
        <table>
            <tr>

                <th>Total</th>
                <th>Total impuesto</th>

            </tr>
                <tr>
                  
                    <td>
                        <?php echo $total_ventas;?>
                    </td>
                    <td>
                        <?php echo $total_impuestos;?>

                    </td>
                </tr>
        </table>
    </body>
</html>
<?php

?>
