<?php
global $post;
$e = new WC_Efactura();
$order = isset($_POST['order']) ? $_POST['order'] : $post->ID;
$confirmado = $e->existe_confirmacion($order);
$cancelado = $e->existe_cancelacion($order);
//consulta de estado de hacienda para mostar en la pantalla
$estado_hacienda = get_post_meta($order, '_estado_hacienda', TRUE);
$download_url = $e->getSignedFileUrl($order);
$status = get_post_meta($order, '_xml_remote_status', TRUE);
?>
<div id="fe-order-data">
    <p style="border-bottom:solid 1px #eee;padding-bottom:13px;">
        <a href= "<?php echo $download_url ?>" target="_blank" >Descargar Factura Firmada</a>
    </p>
    <p style="border-bottom:solid 1px #eee;padding-bottom:13px;" id="fenvioremplazame">
        Factura En estado: <?php echo $estado_hacienda ?>
        <?php if ($estado_hacienda == '') : ?>  
          <a href= "#" id="feenvio" class="button-primary" order="<?php echo $order ?>">Realizar intento</a><span class="waiting spinner"></span>
        <?php endif; ?>
    </p>
    <div id="fe-order-confirmacion">    
        <strong>XML DE CONFIRMACION</strong><br/>
        <p style="border-bottom:solid 1px #eee;padding-bottom:13px;" id="feconfirmacion-text">
        <?php if ($estado_hacienda != '') : ?>
              <a href= "<?php echo $e->get_confirmation_url($order) ?>" target="_blank" >Descargar Confirmacion</a>
            <?php else : ?>      
              <a href= "#" id="feconfirmacion" class="button-primary" order="<?php echo $order ?>">Procesar</a><span class="waiting spinner"></span>
            <?php endif; ?>
        </p>
    </div>    
    <div id="fe-order-cancelar">    
        <strong>XML NOTA CREDITO</strong><br/>
        <?php if ($status == 'Nota') : ?>
          <div id="fe-cancel-block">
              <p style="border-bottom:solid 1px #eee;padding-bottom:13px;" id="fecancelacion-text">
                  <?php if ($cancelado) : ?>
                    <a href= "<?php echo $e->get_cancelacion_url($order) ?>" target="_blank" >Descargar Nota Credito</a>
                <p style="border-bottom:solid 1px #eee;padding-bottom:13px;" id="nenvioremplazame">
                    Nota de Credito En Estado:  <span id="neenvio" order="<?php echo $order ?>"><?php echo get_post_meta($order, '_nc_remote_status', TRUE) ?></span><span class="waiting spinner"></span>
                </p>              
              <?php else : ?>      
                <a href= "#" id="fecancelacion" class="button-primary" order="<?php echo $order ?>">Procesar</a><span class="waiting spinner"></span>
              <?php endif; ?>
              </p>
              <div id="cancel-confirmation-block" style="display: none">
                  <p>Confirmar Cancelacion en hacienda:</p>
                  <a href= "#" id="fe-cancel-confirm" class="button-primary" order="<?php echo $order ?>"><?php echo __('Si') ?></a>
                  <a href= "#" id="fe-cancel-deny" class="button-secondary" style="background-color: #c50505; color: white"><?php echo __('No') ?></a>
                  <span class="waiting spinner"></span>
                  <span id="cancel-confirmation-block-message"></span>
              </div> 
          </div>  
        <?php else : ?> 
          <div>En revision de Factura</div>
        <?php endif; ?>
    </div>    
</div>