jQuery(document).ready(function ($) {
  //validacion solo númerico en el campo cedula.
  $('#fenumerocedula').keyup(function () {
    this.value = (this.value + '').replace(/[^0-9]/g, '');
  });
  //dropzone validation
  Dropzone.options.dropzoneWordpressForm = {
    maxFilesize: 5,
    addRemoveLinks: true,
    dictResponseError: 'Server not Configured',
    acceptedFiles: ".xml",
    init: function () {
      var self = this;
      // config
      self.options.addRemoveLinks = true;
      self.options.dictRemoveFile = "Delete";
      //New file added
      self.on("addedfile", function (file) {
        //???
      });
      // Send file starts
      self.on("sending", function (file) {
        //TODO: VALIDAR QUE YA EXISTE EL REGISTRO
        //self.removeFile(file);
        $('.meter').show();
      });

      // File upload Progress
      self.on("totaluploadprogress", function (progress) {
        $('.roller').width(progress + '%');
      });

      self.on("queuecomplete", function (progress) {
        $('.meter').delay(999).slideUp(999);
      });
    }
  };

  $('#feenvio').on('click', (function () {
    event.preventDefault();
    var button = $(this);
    var data = {
      action: 'enviar_hacienda',
      order: button.attr('order')
    };
    $.ajax({
      url: ajaxurl,
      data: data,
      type: 'POST',
      beforeSend: function (xhr) {
        button.next().css('visibility', 'unset');
      },
      success: function (response) {
        data = JSON.parse(response);
        button.next().css('visibility', 'hidden');
        texto = 'Recibido';
        css_class = 'updated notice notice-success is-dismissible';
        if (data['status'] == 'ERROR') {
          texto = 'Pendiente';
          css_class = 'notice notice-error is-dismissible';
        }

        $('#fenvioremplazame').html("Factura En estado:  <a href= '#' id='feenvio' class='button-primary' order='" + button.attr('order') + "'>" + texto + "</a>" + '<span class="waiting spinner"></span>'
          + '<div class="' + css_class + '">'
          + '<p>' + data['text'] + '</p></div>'
          // Todo:
          // --add button dismissable with JS
          // + '<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div>'
        );
      }
    });
  }));


  $('#fe-procesar-orden').on('click', (function () {
    event.preventDefault();
    var button = $(this);
    var data = {
      action: 'procesar_orden',
      order: button.attr('order')
    };
    $.ajax({
      url: ajaxurl,
      data: data,
      type: 'POST',
      beforeSend: function (xhr) {
        button.next().css('visibility', 'unset');
      },
      success: function (response) {
        data = JSON.parse(response);
        button.next().css('visibility', 'hidden');
        texto = 'Recibido';
        if (data['status'] === 'ERROR') {
          $('#noinfo-fe').html('<div class="notice notice-error is-dismissible">'
            + '<p>' + data['text'] + '</p></div>');
          // Todo:
          // --add button dismissable with JS
          // + '<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div>'        
        } else {
          $('#fe-order-data').html(data['text']);
        }

      }
    });
  }));
  /**
   * Metodo de boton para consultar reporte 
   */
  $("#get-report-invoices").on("click", function () {
    var from_date = "";
    var to_date = "";
    from_date = new Date($("#from-date").val() + 'T00:00:00');//Set date time to begining of the day
    to_date = new Date($("#to-date").val() + 'T23:59:59');//Set date time to end of the day

    if (from_date.getTime() > to_date.getTime()) {
      alert("La fecha desde no puede ser mayor de la fecha hasta.");

      return false;
    }

    if ($("#from-date").val() == "") {
      alert("La fecha desde es un campo requerido para la generacion del reporte");

      return false;
    }
    if ($("#to-date").val() == "") {
      alert("La fecha hasta es un campo requerido para la generacion del reporte");
      return false;
    }
    event.preventDefault();
    var button = $(this);
    var data = {
      action: 'consultar_reporte',
      from: from_date.getTime() / 1000 ,
      to: to_date.getTime() / 1000 

    };
    $.ajax({
      url: ajaxurl,
      data: data,
      type: 'POST',
      beforeSend: function (xhr) {
        button.next().css('visibility', 'unset');
      },
      success: function (response) {
        data = JSON.parse(response);
        if (data["ok"] == "Exitoso") {
          var url = data['link'];
          $('.link-div').css("display", "block");
          $('.link-report').attr("href", url);
          $('.iframe-pdf').attr("src", url);

        }
        else {
          alert(data['ok']);
        }

      }

    });
  });
  $('#feconfirmacion').on('click', (function () {
    event.preventDefault();
    var button = $(this);
    var data = {
      action: 'enviar_hacienda',
      order: button.attr('order'),
      confirmacion: 'true'
    };
    $.ajax({
      url: ajaxurl,
      data: data,
      type: 'POST',
      beforeSend: function (xhr) {
        button.next().css('visibility', 'unset');
      },
      success: function (response) {
        data = JSON.parse(response);
        button.next().css('visibility', 'hidden');
        texto = 'Recibido';
        if (data['status'] === 'ERROR') {
          $('#feconfirmacion-text').html('<div class="notice notice-error is-dismissible">'
            + '<p>' + data['text'] + '</p></div>');
          // Todo:
          // --add button dismissable with JS
          // + '<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div>'        
        } else {
          $('#feconfirmacion-text').html(data['text']);
        }

      }
    });
  }));

  //NOTA CREDITO
  $('#fecancelacion').on('click', (function () {
    event.preventDefault();
    button = $(this);
    button.next().css('visibility', 'unset');
    setTimeout(
      function () {
        button.hide();
        button.next().css('visibility', 'hidden');
        $('#cancel-confirmation-block').show();
      }, 500);

  }));

  $('#fe-cancel-deny').on('click', (function () {
    event.preventDefault();
    button = $(this);
    button.next().css('visibility', 'unset');
    setTimeout(
      function () {
        button.next().css('visibility', 'hidden');
        $('#cancel-confirmation-block-message').html('');
        $('#fecancelacion').show();
        $('#cancel-confirmation-block').hide();
      }, 500);

  }));


  $('#fe-cancel-confirm').on('click', (function () {
    event.preventDefault();
    var button = $(this);
    var data = {
      action: 'procesar_orden',
      order: button.attr('order'),
      cancelacion: 'true'
    };
    $.ajax({
      url: ajaxurl,
      data: data,
      type: 'POST',
      beforeSend: function (xhr) {
        button.next().next().css('visibility', 'unset');
      },
      success: function (response) {
        data = JSON.parse(response);
        button.next().next().css('visibility', 'hidden');
        texto = 'Recibido';
        if (data['status'] === 'ERROR') {
          $('#cancel-confirmation-block-message').html('<div class="notice notice-error is-dismissible">'
            + '<p>' + data['text'] + '</p></div>');
          // Todo:
          // --add button dismissable with JS
          // + '<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div>'        
        } else {
          $('#fe-order-data').html(data['text']);
        }

      }
    });
  }));

  $('#neenvio').on('click', (function () {
    event.preventDefault();
    var button = $(this);
    var data = {
      action: 'enviar_nota_credito',
      order: button.attr('order')
    };
    $.ajax({
      url: ajaxurl,
      data: data,
      type: 'POST',
      beforeSend: function (xhr) {
        button.next().css('visibility', 'unset');
      },
      success: function (response) {
        data = JSON.parse(response);
        button.next().css('visibility', 'hidden');
        texto = 'Recibido';
        css_class = 'updated notice notice-success is-dismissible';
        if (data['status'] == 'ERROR') {
          texto = 'Pendiente';
          css_class = 'notice notice-error is-dismissible';
        }

        $('#nenvioremplazame').html("Factura En estado:  <a href= '#' id='neenvio' class='button-primary' order='" + button.attr('order') + "'>" + texto + "</a>" + '<span class="waiting spinner"></span>'
          + '<div class="' + css_class + '">'
          + '<p>' + data['text'] + '</p></div>'
          // Todo:
          // --add button dismissable with JS
          // + '<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div>'
        );
      }
    });
  }));

  //aceptacion
  $('.bt-ms-action').on('click', (function () {
    event.preventDefault();
    button = $(this);
    var container = '#row-message-action-container-' + button.attr('clave');
    $(container + ' #fe-options-block').next().css('visibility', 'unset');
    var action = button.attr('action');
    setTimeout(
      function () {
        $(container + '  #fe-options-block').find('#action-holder').val(action);
        $(container + '  #fe-question-message').html('Está seguro que desea ' + action + ' la factura?');
        $(container + '  #fe-options-block').hide();
        $(container + '  #fe-options-block').next().css('visibility', 'hidden');
        $(container + '  #message-confirmation-block').show();
      }, 500);

  }));

  $('.fe-message-deny').on('click', (function () {
    event.preventDefault();
    button = $(this);
    var container = '#row-message-action-container-' + button.attr('clave');
    $(container + '  #fe-options-block').next().css('visibility', 'unset');
    setTimeout(
      function () {
        $(container + '  #fe-options-block').find('#action-holder').val('');
        $(container + '  #fe-question-message').html('');
        $(container + '  #message-confirmation-block').hide();
        $(container + '  #fe-options-block').show();
        $(container + '  #fe-options-block').next().css('visibility', 'hidden');
      }, 500);

  }));

  $('.fe-message-confirm').on('click', (function () {
    event.preventDefault();
    var button = $(this);
    var container = '#row-message-action-container-' + button.attr('clave');
    var action = $(container + '  #fe-options-block').find('#action-holder').val();
    var clave = $(container + '  #ms-feconfirm').attr('clave');//no importa la clave de donde sea es el mismo key
    var data = {
      action: 'firmar_mensaje_hacienda',
      clave: clave,
      my_action: action
    };
    $.ajax({
      url: ajaxurl,
      data: data,
      type: 'POST',
      beforeSend: function (xhr) {
        $(container + '  #fe-options-block').next().css('visibility', 'unset');
      },
      success: function (response) {
        data = JSON.parse(response);
        $(container + '  #fe-options-block').next().css('visibility', 'hidden');
        if (action === 'Eliminar') {
          if (data['status'] === 'ERROR') {
            error_message_holder(data['text'], container);
          } else {
            button.closest('tr').remove();
            success_message_holder('Factura Eliminada Satisfactoriamente');
            $('#message-holder').css('visibility', 'unset');
          }
        }

        if (action === 'Firmar') {
          if (data['status'] === 'ERROR') {
            error_message_holder(data['text'], container);
          } else {
            $(container + ' #fe-options-block').show();
            $(container + ' #fe-options-block #message-options-block').show();
            $(container + ' #fe-options-block #firmar-options-block').hide();
            $(container + ' #message-confirmation-block').hide();
            $(container + ' #fe-message-status strong').html('FACTURA FIRMADA');
            success_message_holder('Factura Firmada Satisfactoriamente');
            $('#message-holder').css('visibility', 'unset');
          }

        }


        if (action === 'Confirmar') {
          if (data['status'] === 'ERROR') {
            error_message_holder(data['text'], container);
          } else {
            $(container).html('<a href="' + data['file'] + '" download="factura-aceptada.xml">XML ACEPTADO</a>');
            success_message_holder('Factura Confirmada Satisfactoriamente');
            $('#message-holder').css('visibility', 'unset');
          }

        }

        if (action === 'Rechazar') {
          if (data['status'] === 'ERROR') {
            error_message_holder(data['text'], container);
          } else {
            $(container).html('<a href="' + data['file'] + '" download="factura-rechazada.xml">XML DE RECHAZO</a>');
            success_message_holder('Factura Rechazada Satisfactoriamente');
            $('#message-holder').css('visibility', 'unset');
          }

        }
        if (action === 'Rechazado-parcial') {
          if (data['status'] === 'ERROR') {
            error_message_holder(data['text'], container);
          } else {
            $(container).html('<a href="' + data['file'] + '" download="factura-aceptada-parcial.xml">XML RECHAZADO PARCIAL</a>');
            success_message_holder('Factura Rechazada parcialmente Satisfactoriamente');
            $('#message-holder').css('visibility', 'unset');
          }
        }
      }
    });
  }));

  function error_message_holder(message, container) {
    $('#message-holder').html('<div class="notice notice-error is-dismissible">' + message + '</div>');
    $('#message-holder').css('visibility', 'unset');
    $(container + '  #fe-options-block').find('#action-holder').val('');
    $(container + '  #fe-question-message').html('');
    $(container + '  #message-confirmation-block').hide();
    $(container + '  #fe-options-block').show();
    $(container + '  #fe-options-block').next().css('visibility', 'hidden');

  }

  function success_message_holder(message) {
    $('#message-holder').html('<div class="updated notice notice-success is-dismissible">' + message + '</div>');
  }
  $valor = $('#tipo-fe-lectronico').val();
  //cuando re recarga y es igual a factura de compra nuestra de article.
  if ($valor == '08') {
    $(".article-actividad-economica").css("display", "block");
    $(".factura-electronica").css("display", "block");

  } else if ($valor == '01') {
    $(".factura-electronica").css("display", "block");

  } else {
    $(".factura-electronica").css("display", "none");

  }
  $('#tipo-fe-lectronico').change(function () {
    if ($(this).val() == '08') {
      $(".factura-electronica").css("display", "block");
      $(".article-actividad-economica").css("display", "block");
    }
    else if ($(this).val() == '01') {
      $(".factura-electronica").css("display", "block");
      $(".article-actividad-economica").css("display", "none");

    }
    else if ($(this).val() == '04' || $(this).val() == '09') {
      $(".factura-electronica").css("display", "none");
      $(".article-actividad-economica").css("display", "none");

    }
    else {
      $(".article-actividad-economica").css("display", "none");
    }
  });
  $codigo_actividad = $('.codigo-actividad-selected').text();

  $('#cargar-actividades').on('click', function () {
    $cedula = $('#fenumerocedula').val();
    if ($cedula != '') {
      //consulta las actividades de nuevo.
      cargar_actividades($codigo_actividad);
    }
    else {
      alert('La cedula es requerida para consultar las actividades comerciales del regimen simplificado ');
    }
  });
  //onchange de feCompra
  $('#fe-compra').on('change', function () {
    var value = $(this).val();
    if ($(this).val() == '0') value = null;
    //inicializar 
    $('.codigo-actividad-selected').html('');
    //setear actividad selecionada.
    $('.codigo-actividad-selected').html(value);
  });
  $cedula = $('#fenumerocedula').val();
  //cuando re recarga la pagina y es una factura de compra, consulta el api y verifica el codigo de actividad escogido.
  if ($cedula != "" && $valor == "08") {
    cargar_actividades($codigo_actividad);
  }
  //consulta controlador APi hacienda
  function cargar_actividades($codigo_actividad = "") {
    event.preventDefault();
    var button = $(this);
    var data = {
      action: 'cargar_actividades',
      cedula: $cedula
    };
    $.ajax({
      url: ajaxurl,
      data: data,
      type: 'POST',
      success: function (response) {
        data = JSON.parse(response);
        //si el usuario consulta por segunda vez se setea los optiones
        $('#fe-compra').find('option').remove().end()
        $('#fe-compra').append($('<option>', {
          value: '0',
          text: 'Seleccione'
        }));
        //recorro las actividades 
        for (var i = 0; i < data['actividades'].length; i++) {
          if ($codigo_actividad == data['actividades'][i].codigo) {
            $('#fe-compra').append($('<option>', {
              value: data['actividades'][i].codigo,
              text: data['actividades'][i].descripcion,
              selected: 'selected'
            }));
          }
          else {
            $('#fe-compra').append($('<option>', {
              value: data['actividades'][i].codigo,
              text: data['actividades'][i].descripcion
            }));
          }
        }
      }
    });
  }

  if ( $('#product_cabys_cod_field').length ){
    
    $('#product_cabys_cod_field').autocomplete({

      source: function(name, response) {

      var data = {
        action: 'obtener_codigo_catalogo',
        producto: $('#product_cabys_cod_field').val()
      };

        $.ajax({
          url: ajaxurl,
          data: data,
          type: 'POST',
          success: function (data) {
            
              data = JSON.parse(data);
              response(data);
          }
        });
      }
    });

  }


});
